---
- name: "Ensure config directory"
  file:
    path: "{{ traefik_config_directory }}"
    state: "directory"
    owner: "{{ traefik_username }}"
    group: "{{ traefik_username }}"
    mode: 0755

- name: "Ensure rules directory"
  file:
    path: "{{ traefik_config_directory }}/rules.d"
    state: "directory"
    owner: "{{ traefik_username }}"
    group: "{{ traefik_username }}"
    mode: 0755

- name: "Ensure main config"
  template:
    src: "traefik.toml.j2"
    dest: "/etc/traefik/traefik.toml"
    owner: "{{ traefik_username }}"
    group: "{{ traefik_username }}"
    mode: 0644
  notify: "Restart traefik"

- name: "Ensure rules"
  template:
    src: "rule.toml.j2"
    dest: "/etc/traefik/rules.d/{{ item.name }}.toml"
    owner: "{{ traefik_username }}"
    group: "{{ traefik_username }}"
    mode: 0644
  loop: "{{ traefik_rules }}"
